Summary: GnuPG IPC library
Name:    libassuan
Version: 0.6.10
Release: 2%{?dist}
Source0: ftp://ftp.gnupg.org/gcrypt/alpha/libassuan/libassuan-%{version}.tar.gz
Source1: ftp://ftp.gnupg.org/gcrypt/alpha/libassuan/libassuan-%{version}.tar.gz.sig
URL:     http://www.gnupg.org/
License: GPL
Group:   System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is the IPC library used by GnuPG 1.9, GPGME and a few other
packages.

%package devel
Summary: Development files for the %{name} package
Group: Development/Libraries
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description devel
This is the IPC library used by GnuPG 1.9, GPGME and a few other
packages.

This package contains files needed to develop applications using %{name}.


%prep
%setup -q


%build
%ifarch x86_64
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%endif
%configure

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%check || :
make check


%post devel
/sbin/install-info %{_infodir}/assuan.info %{_infodir}/dir &>/dev/null || :

%postun devel
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/assuan.info %{_infodir}/dir &>/dev/null || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


# No shared lib, yet
%if 0
%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%endif

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.a
%{_datadir}/aclocal/*
%{_infodir}/assuan.info*


%changelog
* Mon Jul  4 2005 Michael Schwendt <mschwendt[at]users.sf.net> - 0.6.10-2
- Build PIC only for x86_64.

* Fri Jul  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.10-1
- 0.6.10, macro patch no longer needed (#162262).

* Sun May  8 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.9-4
- rebuilt

* Fri Mar 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.9-3
- Fix FC4 build and source URLs.

* Thu Feb  3 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.9-2
- Build PIC to fix x86_64 linking.

* Thu Jan 06 2005 Rex Dieter <rexdieter[AT]users.sf.net> - 0.6.9-1
- 0.6.9

* Sat Oct 23 2004 Rex Dieter <rexdieter[AT]users.sf.net> - 0.6.7-0.fdr.3
- *really* fix description this time.

* Fri Oct 22 2004 Rex Dieter <rexdieter[AT]users.sf.net> - 0.6.7-0.fdr.2
- remove "We decided..." part of description
- remove hard-coded .gz info references
- Req(preun)->Preq(postun): /sbin/install-info

* Thu Oct 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> - 0.6.7-0.fdr.1
- cleanup, make presentable.

* Tue Oct 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> - 0.6.7-0.fdr.0
- first try
